Security Enhanced Linux Reference Policy

# Layer: apps

## Module: mozilla

Tunables Interfaces

### Description:

Policy for Mozilla and related web browsers

### Tunables:

mozilla_read_content

##### Default value

false

##### Description

Control mozilla content access

Return

### Interfaces:

mozilla_dbus_chat( domain )

##### Summary

Send and receive messages from mozilla over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mozilla_domtrans( domain )

##### Summary

Run mozilla in the mozilla domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mozilla_read_user_home_files( domain )

##### Summary

Read mozilla home directory content

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mozilla_role( role , domain )

##### Summary

Role access for mozilla

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access
domain | User domain for the role

mozilla_rw_tcp_sockets( domain )

##### Summary

read/write mozilla per user tcp_socket

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mozilla_write_user_home_files( domain )

##### Summary

Write mozilla home directory content

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return